version: "3.7"

networks:
  mother:
    external: true

services:
  webserver:
    image: registry.vnfco.ir/imed/webserver:latest
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
      - TZ=Asia/Tehran
    deploy:
      update_config:
        parallelism: 1
        delay: 10s
        order: start-first
      restart_policy:
        condition: any
        delay: 5s
        window: 120s
      replicas: 1
      mode: replicated
    volumes:
      - type: bind
        source: /volume/app/public
        target: /app/wwwroot
      - type: bind
        source: /volume/config/webserver/appsettings.Production.json
        target: /app/appsettings.Production.json
      - type: bind
        source: /etc/localtime
        target: /etc/localtime
        read_only: true
      - type: bind
        source: /etc/timezone
        target: /etc/timezone
        read_only: true
    ports:
      - 8010:8010
    networks:
      - mother